Skip to content
API referencePlatformPlatform billing

Get_platform_customer

GET
/platform/v1/billing/customers/{billing_account_id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

billing_account_id*string
Formatuuid

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/platform/v1/billing/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"
{  "account": {    "catalog": "system",    "created_at": "2019-08-24T14:15:22Z",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "plan_id": "00713021-9aea-41da-9a88-87760c08fa72",    "preferred_vendor": null,    "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",    "status": "active",    "subject_id": "80e197be-61ad-4068-b4ff-a483fb5c18f9",    "subject_kind": "tenant",    "updated_at": "2019-08-24T14:15:22Z"  },  "effective_entitlement": null,  "invoices": [    {      "amount_minor": 0,      "billing_account_id": "db2251e5-5308-40a7-9f48-3aed5a9ce736",      "created_at": "2019-08-24T14:15:22Z",      "currency": "string",      "due_at": "2019-08-24T14:15:22Z",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "paid_at": "2019-08-24T14:15:22Z",      "period_end": "2019-08-24T14:15:22Z",      "period_start": "2019-08-24T14:15:22Z",      "status": "draft",      "subscription_id": "aa11a4c2-a467-43db-b413-c4ab0f5cf627",      "vendor_type": "stripe"    }  ],  "last_activity_at": "2019-08-24T14:15:22Z",  "payment_attempts": [    {      "billing_account_id": "db2251e5-5308-40a7-9f48-3aed5a9ce736",      "created_at": "2019-08-24T14:15:22Z",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "payment_intent_id": "7e322e88-5311-4979-b283-b9a687137f41",      "status": "string"    }  ],  "refunds": [    {      "amount_minor": 0,      "billing_account_id": "db2251e5-5308-40a7-9f48-3aed5a9ce736",      "charge_id": "cf8b747b-a752-4d0a-9a4d-7d19fc1769f3",      "created_at": "2019-08-24T14:15:22Z",      "currency": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "status": "pending_approval"    }  ],  "subscriptions": [    {      "amount_minor": 0,      "billing_account_id": "db2251e5-5308-40a7-9f48-3aed5a9ce736",      "cancel_at_period_end": true,      "canceled_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "currency": "string",      "current_period_end": "2019-08-24T14:15:22Z",      "current_period_start": "2019-08-24T14:15:22Z",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "plan_id": "00713021-9aea-41da-9a88-87760c08fa72",      "state_reason": "new_purchase",      "status": "pending",      "trial_end_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "vendor_type": "stripe"    }  ],  "user_email": "string"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}